# Basic macros
%define name    mailody 
%define version 1.5.0
%define svn	1079981

# Macros for in the menu-file.
%define section Internet 
%define title Mailody


Name:           %{name}
Version:        %{version}
Summary:        IMAP only, Qt4/KDE4 based mail client 
Release:        %mkrel 0.svn%{svn}.1
License:        GPLv2+
Group:          Networking/Mail
URL:            http://mailody.net

Source0:        %{name}-svn%{svn}.tar.bz2

BuildRoot:      %_tmppath/%name-%version-%release-buildroot

BuildRequires: kdelibs4-devel
BuildRequires: sqlite3-devel
BuildRequires: qca2-devel
BuildRequires: kdeedu4-devel
BuildRequires: kdepimlibs4-devel
BuildRequires: kdepim4-runtime-devel
BuildRequires: akonadi-devel
BuildRequires: akonadi-kde

%description
Mailody is an IMAP-only mail client. Based on Qt and KDE.

%files  -f %{name}.lang
%defattr(-,root,root)
%{_kde_bindir}/%{name}*
%{_kde_appsdir}/%{name}/*rc
%{_kde_appsdir}/%{name}mailviewer/%{name}mailviewerui.rc
%{_kde_datadir}/applications/kde4/%{name}*.desktop
%{_kde_iconsdir}/*/*/*/*
%{_kde_libdir}/kde4/kontact_mailodyplugin.so
%{_kde_libdir}/kde4/mailodypart.so
%{_kde_datadir}/dbus-1/interfaces/net.mailody.mainwindow.xml
%{_kde_datadir}/kde4/services/kontact/mailody_plugin.desktop
%{_kde_datadir}/kde4/services/mailodypart.desktop

#--------------------------------------------------------------------

%prep
%setup -q  -n %{name}-svn%{svn}

%build

%cmake_kde4
%make


%install
rm -rf %buildroot
cd build
make DESTDIR=%buildroot install
cd ..
%{find_lang} %{name}

%clean
rm -rf %{buildroot}



%changelog
* Mon Feb 01 2010 Rémy Clouard <shikamaru@mandriva.org> 1.5.0-0.svn1079981.1mdv2010.1
+ Revision: 499259
- bump release
- fix license

* Mon Oct 26 2009 Rémy Clouard <shikamaru@mandriva.org> 1.5.0-0.svn1024808.2mdv2010.0
+ Revision: 459446
- fix wrong buildrequires
- fix build
- update to working version (svn)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Thu Nov 27 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.5.0-0.beta1.1mdv2009.1
+ Revision: 307326
- Use kde4 version of Mailody

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5.0-2mdv2008.1
+ Revision: 170977
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Nov 11 2007 Angelo Naselli <anaselli@mandriva.org> 0.5.0-1mdv2008.1
+ Revision: 107957
- import mailody


* Sun Nov 11 2007 Angelo Naselloi <anaselli@mandriva.org> 0.5.0-1mdv2008.0
- Initial packaging from Tom Albers <tomalbers@kde.nl> 
